> ## Documentation Index
> Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get deployment logs

> Get the build and deploy logs for a specific deployment.



## OpenAPI

````yaml https://cloud.laravel.com/api-docs/api.json get /deployments/{deployment}/logs
openapi: 3.1.0
info:
  title: Laravel Cloud
  version: 0.0.1
servers:
  - url: https://cloud.laravel.com/api
security:
  - http: []
tags:
  - name: Applications
  - name: Environments
  - name: Domains
  - name: Commands
  - name: Deployments
  - name: Instances
  - name: Background Processes
  - name: Database Clusters
  - name: Databases
  - name: Database Snapshots
  - name: Database Restores
  - name: Object Storage Buckets
  - name: Bucket Keys
  - name: Caches
  - name: WebSocket Clusters
  - name: WebSocket Applications
  - name: Dedicated Clusters
  - name: Usage
  - name: Meta
  - name: Databases (Legacy)
paths:
  /deployments/{deployment}/logs:
    get:
      tags:
        - Deployments
      summary: Get deployment logs
      description: Get the build and deploy logs for a specific deployment.
      operationId: public.deployments.logs
      parameters:
        - name: deployment
          in: path
          required: true
          description: The deployment identifier
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      build:
                        type: object
                        properties:
                          available:
                            type: boolean
                          steps:
                            type: array
                            items:
                              type: object
                              properties:
                                step:
                                  type: string
                                status:
                                  type: string
                                description:
                                  type: string
                                output:
                                  type: string
                                duration_ms:
                                  type: integer
                                time:
                                  type: string
                              required:
                                - step
                                - status
                                - description
                        required:
                          - available
                          - steps
                      deploy:
                        type: object
                        properties:
                          available:
                            type: boolean
                          steps:
                            type: array
                            items:
                              type: object
                              properties:
                                step:
                                  type: string
                                status:
                                  type: string
                                description:
                                  type: string
                                output:
                                  type: string
                                duration_ms:
                                  type: integer
                                time:
                                  type: string
                              required:
                                - step
                                - status
                                - description
                        required:
                          - available
                          - steps
                    required:
                      - build
                      - deploy
                  meta:
                    type: object
                    properties:
                      deployment_status:
                        type: string
                    required:
                      - deployment_status
                required:
                  - data
                  - meta
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          description: An error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error overview.
                    example: >-
                      Deployment logs are only available for deployments created
                      within the last year.
                required:
                  - message
components:
  responses:
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      description: The Bearer Token generated on the Cloud UI.
      scheme: bearer
      bearerFormat: bearer

````